## wmanager 0.2.1

=== Makefile ===
# $RCSfile: Makefile,v $
# Makefile for WManager
#
#! author="$Author: M $"
#! revision="$Revision: 1.4 $"
#! date="$Date: 1999/11/14 15:29:24 $"
#! state="$State: Exp $"
#
#
# Copyright (C) 1999  M. Tessmer
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



# make settings
SHELL     = /bin/sh
MAKEFLAGS = --print-directory


# compiler settings
CXX       = g++ 
CXXFLAGS  = -I$(incdir) -O2 -Wall -pedantic #-DDEBUG=1 -g3


# linker settings
LD        = g++
LDFLAGS   = -lfltk -lXext -lX11 -lm
LDDIRS    = -L/usr/X11R6/lib -L/usr/lib -L/usr/local/lib


# install settings
INSTALL       = /usr/bin/install
INSTALL_FLAGS = --strip


# documentation tool
DOCTOOL      = perceps
DOCTOOL_FLAGS = -a -b -f -h -m -r

# base locations
prefix      = /usr/local
exec_prefix = $(prefix)
bindir      = $(exec_prefix)/bin


# include files and sources
incdir      = ./inc
srcdir      = ./src


# documentational files for developer
docdir    = ./doc
templates = $(docdir)/templates


# search paths
vpath %.H    $(incdir)
vpath %.cc   $(srcdir)
vpath %.html $(docdir)

# files
HDR  = Interface.H WManager.H
SRC  = Interface.cc WManager.cc wmanager.cc
MISC = HISTORY README COPYING INSTALL TAGS FAQ LICENSE NEWS TODO Makefile \
	.wmanagerrc .xinitrc
OBJ  = $(patsubst %.cc,%.o,$(SRC)) 


# project version
VERSION = 0.1.1


all: wmanager TAGS

wmanager: $(OBJ)
	$(LD) -o $@ $^ $(LDDIRS) $(LDFLAGS) 

static: $(OBJ)
	$(LD) -o wmanager $^ $(LDDIRS) $(LDFLAGS) -static

install: wmanager
	$(INSTALL) $< $(bindir)/$<

clean:
	@rm -f $(OBJ) wmanager

distclean:
	@rm -f $(OBJ) wmanager TAGS

doc: $(HDR)
	$(DOCTOOL) $(DOCTOOL_FLAGS) -d $(docdir) -t $(templates) $< 

TAGS: $(HDR) $(SRC)
	etags --c++ -o $@ $^

version:
	@-echo -e '\nwmanager - X11 window manager selector'
	@-echo 'v$(VERSION) 1999/09/26 by M. Tessmer'
	@-echo 'Look at README for more information\n'


# phony targets
.PHONY: all clean distclean TAGS version doc

=== debian/changelog ===
wmanager (0.2.1-11) unstable; urgency=low

  * Update the copyright file to the latest DEP 5 candidate format.
  * Upload to unstable.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 01 Mar 2011 20:18:01 +0200

wmanager (0.2.1-10) experimental; urgency=low

  * Switch to Git and point the Vcs-* fields to Gitorious.
  * Use bzip2 compression for the Debian tarball.
  * Bump the debhelper compatibility level to 8 with no changes.
  * Harden the build by default and use hardening-includes instead of
    the hardening-wrapper.
  * Use := instead of = to optimize some shell invocations in the rules file.
  * Bump the year on my copyright notice.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 06 Jan 2011 14:50:28 +0200

wmanager (0.2.1-9) unstable; urgency=low

  * Bump Standards-Version to 3.9.1 with no changes.
  * Let wmanagerrc-update use update-alternatives --query, not --display,
    to fix its operation with non-English text.  Closes: #605043

 -- Peter Pentchev <roam@ringlet.net>  Tue, 30 Nov 2010 13:03:14 +0200

wmanager (0.2.1-8) unstable; urgency=low
  
  * Bump Standards-Version to 3.9.0 with no changes.
  * Convert to the 3.0 (quilt) source format.
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain the default values
    for CXXFLAGS, CPPFLAGS, and LDFLAGS.
  * Simplify the rules file by exporting variables into the environment.
  * Update the copyright file to the latest revision of the DEP 5 format and
    bump the years on my copyright format.
  * Shorten the Vcs-Browser URL.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 29 Jun 2010 00:29:44 +0300

wmanager (0.2.1-7) unstable; urgency=low

  * Let wmanager-loop honor the WM environment variable, if set, to
    specify the first window manager to run.
  * Bump the debhelper version dependency to 7.0.50 because of the use
    of override targets.
  * Bump Standards-Version to 3.8.3 with no changes.
  * Switch the copyright file header from the Wiki page to DEP 5 and
    shorten the file by breaking out the GPL-2+ blurb into its own block.
  * Actually implement the "patch" and "unpatch" targets in the rules file
    since the dh(1) tool does not always provide them.
  * Convert the patch file headers to DEP 3.
  * Only enable the build hardening wrapper if "hardening" is specified
    in DEB_BUILD_OPTIONS.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 08 Sep 2009 18:02:52 +0300

wmanager (0.2.1-6) unstable; urgency=low

  * Switch to quilt for patch management:
    - change the patches' naming scheme
    - reformat the comment headers
    - update the README.source file
    - use the quilt plugin for debhelper in the rules file
  * Refresh the copyright file a bit:
    - move the homepage from Original-Source-Location to the control file's
      Homepage field.
    - remove the redundant Packaged-By and Packaged-Date fields
    - bump the CopyrightFormat proposal revision a bit
    - bump the year of my copyright notice for the Debian packaging
  * Add misc:Depends to the binary package.
  * Bump Standards-Version to 3.8.2 with no changes.
  * Move the various lists of installed files to debian/wmanager.*
  * Update a comment in the rules file - GCC 4.3 is the default now :)
  * Remove some cruft from the rules file.
  * Minimize the rules file using debhelper override targets.
  * Add the Vcs-Svn and Vcs-Browser control fields.
  * Make the short description a noun phrase.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 17 Jun 2009 12:27:01 +0300

wmanager (0.2.1-5) unstable; urgency=low

  * debian/rules
    - do not install the virtually empty FAQ file.  Closes: #489056
    - harden the build unless "nohardening" is in DEB_BUILD_OPTIONS
    - use "filter" instead of "findstring" to parse DEB_BUILD_OPTIONS

 -- Peter Pentchev <roam@ringlet.net>  Thu, 03 Jul 2008 18:05:02 +0300

wmanager (0.2.1-4) unstable; urgency=low

  * Convert the package build to debhelper, minimizing the rules file.
  * Convert the copyright file to the new format.
  * The wmanager home site has risen from the dead, so add a watchfile.
  * Convert the manual pages to mdoc format.
  * Make the support scripts a bit more portable.

  * debian/README.source
    - create this file and note the use of dpatch
  * debian/compat
    - create this file and specify compatibility level 7
  * debian/control
    - add a build-time dependency on debhelper 7
    - bump standards version to 3.8.0
      - README.source
    - drop the perl5 dependency - no more POD-to-man conversions
  * debian/copyright
    - converted to the new machine-readable format
  * debian/patches/04_makefile.dpatch
    - always use the C++ compiler warning flags
  * debian/postinst
    - add the #DEBHELPER# marker
  * debian/postrm
    - add the #DEBHELPER# marker
  * debian/rules
    - use the debhelper programs for most tasks
    - let dh_strip handle the "noopt" and "nostrip" DEB_BUILD_OPTIONS
    - use $(CURDIR) instead of `pwd`
  * debian/watch
    - create this file and do weird things to the "021" upstream version
  * debian/wmanager.1
    debian/wmanager-loop.1
    debian/wmanagerrc-update.1
    - rewrite the POD documentation into real mdoc manual pages
  * debian/wmanager.pod
    debian/wmanager-loop.pod
    debian/wmanagerrc-update.pod
    - remove these files after replacing them with mdoc versions
  * debian/wmanager-loop
    - look for other terminals if x-terminal-emulator is not found;
      this is a no-op for Debian systems, yet allows this script to be
      used unaltered on other OS's
    - fix a typo in the program name
    - add my copyright notice
  * debian/wmanagerrc-update
    - only use update-alternatives if it is actually available;
      this is a no-op for Debian systems, yet allows this script to be
      used unaltered on other OS's
    - add my copyright notice

 -- Peter Pentchev <roam@ringlet.net>  Wed, 02 Jul 2008 18:57:17 +0300

wmanager (0.2.1-3) unstable; urgency=low

  * New maintainer.  Closes: #455007.
  * Switch to dpatch.


=== debian/control ===
Source: wmanager
Section: x11
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
DM-Upload-Allowed: yes
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.15.7~), hardening-includes,
	libfltk1.1-dev
Homepage: http://www.daemogorgon.net/software/wmanager/
Vcs-Git: git://gitorious.org/wmanager/wmanager-pkg-debian/
Vcs-Browser: http://gitorious.org/wmanager/wmanager-pkg-debian/

Package: wmanager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, perl5, chase
Suggests: menu (>> 2.1.26)
Description: window-manager selection tool used at X startup
 wmanager is a small X11 application for selecting a window manager
 at X startup. wmanager looks for a file named '.wmmanagerrc' in
 the user's home directory which contains a list of window managers;
 you can create such a file with wmanagerrc-update. You can also use
 wmanager-loop that runs window managers chosen by the user until
 told to exit.

=== debian/rules ===
#!/usr/bin/make -f

CXXFLAGS:=	$(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS:=	$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS:=	$(shell dpkg-buildflags --get LDFLAGS)

CXX=		g++
# Use this for QA tests with newer versions of GCC
#CXX=		g++-snapshot

CXXFLAGS_WARN=	-Wall -W -pipe
LDFLAGS+=	-g -lfltk
STRIP=
ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS_WARN+=	-Werror
endif

include /usr/share/hardening-includes/hardening.make
ifeq (,$(filter nohardening,$(DEB_BUILD_OPTIONS)))
CXXFLAGS+=	$(HARDENING_CFLAGS)
LDFLAGS+=	$(HARDENING_LDFLAGS)
endif

export CXX CPPFLAGS CXXFLAGS CXXFLAGS_WARN LDFLAGS STRIP

override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

%:
	dh $@

=== debian/watch ===
version=3
opts="uversionmangle=s/([0-9])(?!$)/$1./g" \
http://www.daemogorgon.net/software/wmanager/ http://www.daemogorgon.net/wp-content/uploads/wmanager_([0-9]+).tgz

## wmanager 0.2.2

=== Makefile ===
# Makefile for WManager
#
# Copyright (C) 1999  M. Tessmer
# Copyright (C) 2016  Peter Pentchev
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



# make settings
SHELL     = /bin/sh
MAKEFLAGS = --print-directory
PREFIX    ?= /usr
X11BASE   ?= /usr

# base settings
bindir	= ${PREFIX}/bin
mandir	= ${PREFIX}/share/man/man
incdir	= ./inc
srcdir	= ./src
fltkinc	= ${X11BASE}/include
x11lib	= ${X11BASE}/lib

FLTK_CONFIG	?= fltk-config --use-gl
FLTK_CXX	:= $(shell ${FLTK_CONFIG} --cxx)
FLTK_CXXFLAGS	:= $(shell ${FLTK_CONFIG} --cxxflags)
FLTK_LDFLAGS	:= $(shell ${FLTK_CONFIG} --ldflags)

# compiler settings
CXX		?= ${FLTK_CXX}
CXXFLAGS_WARN	?= -Wall -W
CXXFLAGS_OPT	?= -O2 -fno-strict-aliasing -pipe
#CXXFLAGS_DBG	?= -g -DDEBUG
CXXFLAGS_DBG	?=
CXXFLAGS	?= ${CXXFLAGS_DBG} ${CXXFLAGS_OPT}
CXXFLAGS	+= ${CXXFLAGS_WARN} -I${incdir} ${FLTK_CXXFLAGS}

# linker settings
LD        = ${CXX}
LDFLAGS   ?= ${FLTK_LDFLAGS}

# install settings
BINOWN		?= root
BINGRP		?= root
BINMODE		?= 755

SHAREOWN	?= ${BINOWN}
SHAREGRP	?= ${BINGRP}
SHAREMODE	?= 644

MKDIR		?= mkdir -p
INSTALL		?= install
STRIP		?= -s
RM		?= rm -f

GZIP		?= gzip
GZIP_N		?= -n
GZIP_C		?= -c

INSTALL_PROGRAM	?= ${INSTALL} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} ${STRIP}
INSTALL_SCRIPT	?= ${INSTALL} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE}
INSTALL_DATA	?= ${INSTALL} -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE}


# search paths
vpath %.H    ${incdir}
vpath %.cc   ${srcdir}
vpath %.1    ${srcdir}

# files
HDR  = Interface.H WManager.H
SRC  = Interface.cc WManager.cc wmanager.cc
MISC = HISTORY README COPYING INSTALL TAGS FAQ LICENSE NEWS TODO Makefile \
	.wmanagerrc .xinitrc
OBJ  = $(patsubst %.cc,%.o,$(SRC)) 
PROG = wmanager
MAN1 = ${srcdir}/${PROG}.1
MAN1Z = ${MAN1}.gz

LOOP	= tools/wmanager-loop
LOOP1	= ${LOOP}.1
LOOP1Z	= ${LOOP1}.gz

UPD	= tools/wmanagerrc-update
UPD1	= ${UPD}.1
UPD1Z	= ${UPD1}.gz

# project version
VERSION = 0.2.2

all:	${PROG} ${MAN1Z} ${LOOP1Z} ${UPD1Z}

${PROG}:	${OBJ}
	${LD} -o $@ $^ ${LDFLAGS} 

${MAN1Z}:	${MAN1}
	${GZIP} ${GZIP_N} ${GZIP_C} ${MAN1} > $@ || (${RM} $@; false)

${LOOP1Z}:	${LOOP1}
	${GZIP} ${GZIP_N} ${GZIP_C} ${LOOP1} > $@ || (${RM} $@; false)

${UPD1Z}:	${UPD1}
	${GZIP} ${GZIP_N} ${GZIP_C} ${UPD1} > $@ || (${RM} $@; false)

install: all
	${MKDIR} ${DESTDIR}${bindir}
	${INSTALL_PROGRAM} ${PROG} ${DESTDIR}${bindir}/
	${INSTALL_SCRIPT} ${LOOP} ${UPD} ${DESTDIR}${bindir}/
	
	${MKDIR} ${DESTDIR}${mandir}1
	${INSTALL_DATA} ${MAN1Z} ${LOOP1Z} ${UPD1Z} ${DESTDIR}${mandir}1/

clean:
	${RM} ${OBJ} ${PROG} ${MAN1Z} ${LOOP1Z} ${UPD1Z}

version:
	@-echo -e '\nwmanager - X11 window manager selector'
	@-echo 'v${VERSION} by M. Tessmer and Peter Pentchev'
	@-echo 'Look at README for more information\n'


# phony targets
.PHONY: all clean distclean TAGS version

=== debian/changelog ===
wmanager (0.2.2-1) unstable; urgency=medium

  * Point the Vcs-* fields to my new full-source GitLab repository.
  * Declare compliance with Debian Policy 3.9.8 with no changes.
  * Bump the year on my debian/* copyright notice.
  * Point the watch file to wmanager's new home at the Ringlet website
    and add the upstream PGP key to check against.
  * Let the watch file recognize wmanager release candidate versions.
  * Bump the debhelper compatibility level to 10 and drop the --parallel
    option, it's on by default now.
  * Point the homepage, the upstream metadata file, and the copyright
    file's Source header field to the new Ringlet website.
  * Switch the copyright format specification URL to the HTTPS scheme.
  * New upstream release:
    - drop all the patches, integrated upstream
    - update the upstream copyright information
    - drop the manual page and the wmanager-loop and wmanagerrc-update
      tools, they were imported into the upstream distribution

 -- Peter Pentchev <roam@ringlet.net>  Fri, 04 Nov 2016 01:03:04 +0200

wmanager (0.2.1-14) unstable; urgency=medium

  * Remove the manual update-menus calls in the postinst and postrm
    scripts; the debhelper snippets will take care of this.
    Incidentally, the manual invocations break with "set -e" if
    update-menus is not installed; Closes: #810336

 -- Peter Pentchev <roam@ringlet.net>  Tue, 12 Jan 2016 13:21:33 +0200

wmanager (0.2.1-13) unstable; urgency=medium

  * Bump the debhelper compatibility level to 9:
    - use debhelper's invocation of dpkg-buildflags, drop the versioned
      build dependency on dpkg-dev
    - use dpkg-buildflags's hardening flags, drop the build dependency
      on hardening-includes
  * Add the 05-strdup patch, replacing two unguarded uses of strcpy()
    with strdup().  Arguably the strcpy() uses were safe enough, but
    there's no harm in using strdup() and removing a Lintian warning.
  * Bump Standards-Version to 3.9.6:
    - drop the DM-Upload-Allowed field
  * Split the DEP-3 author information into several Author fields for
    the patches with multiple authors.
  * Update the copyright file to the 1.0 format and bump the years of
    my Debian packaging copyright notice.
  * Rewrite wmanagerrc-update in pure Perl, replace the perl5 and chase
    dependencies with perl:Depends.  Incidentally, Closes: #808387
  * Drop the version from the 'menu' suggestion, satisfied in oldstable.
  * Add the debian/upstream/metadata file.
  * Add Multi-Arch: foreign to the binary package.
  * Drop the source compression options; dpkg-dev's defaults are good enough.
  * Add --parallel to the debhelper invocation.
  * Switch the Vcs-Git and Vcs-Browser URLs to my GitLab repository.
  * Do not use the full path to update-menus.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 19 Dec 2015 16:23:54 +0200

wmanager (0.2.1-12) unstable; urgency=medium

  * Do not use the obsolete and incorrect full path to update-alternatives
    in wmanagerrc-update.  Closes: #769966
    Thanks, Guillem Jover <guillem@debian.org>

 -- Peter Pentchev <roam@ringlet.net>  Thu, 27 Nov 2014 10:52:01 +0200

=== debian/control ===
Source: wmanager
Section: x11
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Standards-Version: 3.9.8
Build-Depends: debhelper (>> 10), libfltk1.1-dev
Homepage: https://devel.ringlet.net/x11/wmanager/
Vcs-Git: https://gitlab.com/wmanager/wmanager.git -b debian
Vcs-Browser: https://gitlab.com/wmanager/wmanager/tree/debian

Package: wmanager
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: menu
Description: window-manager selection tool used at X startup
 wmanager is a small X11 application for selecting a window manager
 at X startup. wmanager looks for a file named '.wmmanagerrc' in
 the user's home directory which contains a list of window managers;
 you can create such a file with wmanagerrc-update. You can also use
 wmanager-loop that runs window managers chosen by the user until
 told to exit.

=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all
export DEB_BUILD_MAINT_OPTIONS

CXX=		g++
# Use this for QA tests with newer versions of GCC
#CXX=		g++-snapshot

CXXFLAGS_WARN=	-Wall -W -pipe
ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS_WARN+=	-Werror
endif

DEB_LDFLAGS_MAINT_APPEND=	-g -lfltk
STRIP=

export CXX CXXFLAGS_WARN DEB_LDFLAGS_MAINT_APPEND STRIP

override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

%:
	dh $@

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/\.rc/~rc/ \
https://devel.ringlet.net/x11/wmanager/ (?:/files/x11/wmanager/)?wmanager-([\w\d.]+).tar.(?:xz|bz2|gz)

## wmanager 0.3.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for WManager
 #
 # Copyright (C) 1999  M. Tessmer
-# Copyright (C) 2016  Peter Pentchev
+# Copyright (C) 2016, 2020  Peter Pentchev
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -98,7 +98,7 @@
 UPD1Z	= ${UPD1}.gz
 
 # project version
-VERSION = 0.2.2
+VERSION = 0.3.0
 
 all:	${PROG} ${MAN1Z} ${LOOP1Z} ${UPD1Z}
 
@@ -113,6 +113,13 @@
 
 ${UPD1Z}:	${UPD1}
 	${GZIP} ${GZIP_N} ${GZIP_C} ${UPD1} > $@ || (${RM} $@; false)
+
+test:	all
+	[ -n "$$(command -v xvfb-run)" ]
+	[ -n "$$(command -v xauth)" ]
+	[ -n "$$(command -v xev)" ]
+	[ -n "$$(command -v cnee)" ]
+	env PATH="$$(pwd):$$PATH" xvfb-run -a -- tests/wmseq
 
 install: all
 	${MKDIR} ${DESTDIR}${bindir}

=== debian/changelog ===
wmanager (0.3.0-2ubuntu1) impish; urgency=medium

  * d/p/0001-Fix-out-of-bounds.patch: fix a bug revealed by the glibc 2.34
    upgrade. LP: #1940816

 -- -- Simon Chopin <simon.chopin@canonical.com>  Mon, 23 Aug 2021 09:48:18 +0200

wmanager (0.3.0-2) unstable; urgency=medium

  * Build with FLTK 1.3 instead of 1.1.

 -- Peter Pentchev <roam@debian.org>  Wed, 11 Nov 2020 11:03:51 +0200

wmanager (0.3.0-1) unstable; urgency=medium

  * Declare compliance with Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Drop the Name and Contact upstream metadata fields.
  * New upstream release:
    - allow an equals sign in the window manager path
    - include a runtime test for the wmanager program
  * Run the upstream test during the build, adding the necessary
    build dependencies (cnee, python3, x11-utils, xauth, xvfb).
  * Add an autopkgtest invoking the upstream runtime test.
  * Bump the debhelper compatibility level to 13 with no changes.

 -- Peter Pentchev <roam@debian.org>  Thu, 16 Jul 2020 00:14:25 +0300

wmanager (0.2.2-5) unstable; urgency=medium

  * Switch to a DEP-14 debian/master branch.

 -- Peter Pentchev <roam@debian.org>  Wed, 27 Feb 2019 15:22:07 +0200

wmanager (0.2.2-4) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Bump the debhelper compatibility level to 12 with no changes.
  * Add the year 2019 to my debian/* copyright notice.
  * Add a trivial git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Wed, 16 Jan 2019 17:40:09 +0200

wmanager (0.2.2-3) unstable; urgency=medium

  * Use my Debian address as maintainer.
  * Drop the two blank lines at the end of the debian/changelog file.
  * Use the B-D: debhelper-compat (= 11) mechanism.
  * Bring up to compliance with Debian Policy 4.2.1: install the HISTORY
    file as NEWS, not changelog, and no longer install the long, long
    outdated upstream NEWS file.
  * Minimize the upstream signing key, only keep the roam@ringlet.net UID.

 -- Peter Pentchev <roam@debian.org>  Sun, 16 Dec 2018 02:18:54 +0200

wmanager (0.2.2-2) unstable; urgency=medium

  * Upgrade the watch file to version 4 of the format and use
    substitution variables.
  * Bump the year on my debian/* copyright notice.
  * Declare compliance with Debian Policy 4.1.3 with no changes.
  * Remove trailing whitespace from an old changelog entry.
  * Bump the debhelper compatibility level to 11 with no changes.
  * Add "Rules-Requires-Root: no" to the source control stanza and
    override the upstream Makefile's install(1) invocations.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 09 Jan 2018 16:25:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,21 @@
 Source: wmanager
 Section: x11
 Priority: optional
-Maintainer: Peter Pentchev <roam@ringlet.net>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>> 10), libfltk1.1-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Peter Pentchev <roam@debian.org>
+Standards-Version: 4.5.0
+Build-Depends:
+ debhelper-compat (= 13),
+ cnee,
+ libfltk1.3-dev,
+ python3,
+ x11-utils,
+ xauth,
+ xvfb,
 Homepage: https://devel.ringlet.net/x11/wmanager/
-Vcs-Git: https://gitlab.com/wmanager/wmanager.git -b debian
-Vcs-Browser: https://gitlab.com/wmanager/wmanager/tree/debian
+Vcs-Git: https://gitlab.com/wmanager/wmanager.git -b debian/master
+Vcs-Browser: https://gitlab.com/wmanager/wmanager/tree/debian/master
+Rules-Requires-Root: no
 
 Package: wmanager
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,18 @@
 export CXX CXXFLAGS_WARN DEB_LDFLAGS_MAINT_APPEND STRIP
 
 override_dh_auto_test:
+	# I forgot to add this upstream...
+	env PYTHONUNBUFFERED=1 dh_auto_test
+
+override_dh_auto_install:
+	dh_auto_install -- \
+		INSTALL_PROGRAM='install -m 755' \
+		INSTALL_SCRIPT='install -m 755' \
+		INSTALL_DATA='install -m 644'
 
 override_dh_installchangelogs:
-	dh_installchangelogs HISTORY
+	dh_installchangelogs -X HISTORY -X NEWS
+	install -m 644 HISTORY debian/wmanager/usr/share/doc/wmanager/NEWS
 
 %:
 	dh $@

## wmanager 0.3.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for WManager
 #
 # Copyright (C) 1999  M. Tessmer
-# Copyright (C) 2016, 2020  Peter Pentchev
+# Copyright (C) 2016, 2020, 2022  Peter Pentchev
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -98,7 +98,7 @@
 UPD1Z	= ${UPD1}.gz
 
 # project version
-VERSION = 0.3.0
+VERSION = 0.3.1
 
 all:	${PROG} ${MAN1Z} ${LOOP1Z} ${UPD1Z}

=== debian/changelog ===
wmanager (0.3.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:35:49 +1100

wmanager (0.3.1-2build1) noble; urgency=high

  * No change rebuild against libfltk1.3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:59:32 +0100

wmanager (0.3.1-2) unstable; urgency=medium

  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the year 2024 to my debian/* copyright notice.
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no
    declaration.
  * Annotate the test-related build dependencies with <!nocheck>.
  * Use dh-package-notes to record ELF package metadata.

 -- Peter Pentchev <roam@debian.org>  Tue, 27 Feb 2024 17:24:32 +0200

wmanager (0.3.1-1) unstable; urgency=medium

  * Add the year 2021 to my debian/* copyright notice.
  * Explicitly declare dh-sequence-single-binary.
  * Declare compliance with Policy 4.6.1 with no changes.
  * Add the year 2022 to my debian/* copyright notice.
  * New upstream release:
    - fixes an out-of-bounds memory write in option parsing;
      Closes: #1016540

 -- Peter Pentchev <roam@debian.org>  Wed, 10 Aug 2022 13:09:56 +0300

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,21 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Peter Pentchev <roam@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
- cnee,
+ dh-package-notes,
+ dh-sequence-single-binary,
+ dpkg-build-api (= 1),
+ cnee <!nocheck>,
  libfltk1.3-dev,
- python3,
- x11-utils,
- xauth,
- xvfb,
+ python3 <!nocheck>,
+ x11-utils <!nocheck>,
+ xauth <!nocheck>,
+ xvfb <!nocheck>,
 Homepage: https://devel.ringlet.net/x11/wmanager/
 Vcs-Git: https://gitlab.com/wmanager/wmanager.git -b debian/master
 Vcs-Browser: https://gitlab.com/wmanager/wmanager/tree/debian/master
-Rules-Requires-Root: no
 
 Package: wmanager
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,10 @@
 
 export CXX CXXFLAGS_WARN DEB_LDFLAGS_MAINT_APPEND STRIP
 
+include /usr/share/dpkg/default.mk
+
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
+
 override_dh_auto_test:
 	# I forgot to add this upstream...
 	env PYTHONUNBUFFERED=1 dh_auto_test

=== debian/tests/control ===
Test-Command: env PYTHONUNBUFFERED=1 xvfb-run -a -- tests/wmseq
Depends: @, cnee, python3, x11-utils, xauth, xvfb
Features: test-name=wmseq

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/\.rc/~rc/ \
https://devel.ringlet.net/x11/wmanager/ (?:/files/x11/wmanager/)?wmanager-@ANY_VERSION@@ARCHIVE_EXT@
